---
include:
  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/salsa-ci.yml
  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/pipeline-jobs.yml
variables:
# what triggers source-is-missing seems different between lintian.d.o, salsa-ci and local: possibly version dependent?
  SALSA_CI_LINTIAN_SUPPRESS_TAGS: 'mismatched-override'
  SALSA_CI_LINTIAN_FAIL_WARNING: 1
# clearer errors from reproducibility test
  SALSA_CI_REPROTEST_ENABLE_DIFFOSCOPE: 1
# skip the (long) build-time tests
  SALSA_CI_DPKG_BUILDPACKAGE_ARGS: "-Pnocheck"
  SALSA_CI_REPROTEST_ARGS: "--append-build-command=-Pnocheck"
